<?xml version="1.0" encoding="utf-8"?>
<ManualTopic ID="/baanerp/performance/tc/P000007_odm" xml:lang="de">
   <Header>
      <Title>Object Data Management</Title>
      <Keyword type="header" order="d1e1309931">
         <Level1>Gültig für LN FP0, FP1, FP2, FP3, FP4, FP5, FP6, 10, 10.2</Level1>
         <Level2>Object Data Management</Level2>
      </Keyword>
      <Keyword type="header" order="d1e1309936">
         <Level1>Auswirkungen auf CPU</Level1>
         <Level2>Object Data Management</Level2>
      </Keyword>
   </Header>
   <GeneralSection>
      <Paragraph>Verknüpfen von Dateien mit Objekten wie Artikeln, VK-Aufträgen oder Stücklisten unter Verwendung von Object Data Management (ODM) Dateien An verschiedenen Stellen in LN sind die verknüpften Dateien automatisch für zugehörige Objekte verfügbar, wie z. B. einen Produktionsauftrag. Dafür gibt es zwei Möglichkeiten:</Paragraph>
      <List>
         <ListItemHead>Direkte Verknüpfung</ListItemHead>
         <ListItem>Wenn eine Datei mit einem Objekt verknüpft ist, z. B. einem Artikel, und mit einem anderen Objekt, z. B. einem Produktionsauftrag und dem Artikel, eine "feste Tabellenreferenz" besteht, ist die mit dem Artikel verknüpfte Datei durch die Artikelreferenz auch für den Produktionsauftrag verfügbar. Das wirkt sich nicht auf die Leistung aus.</ListItem>
         <ListItemHead>Kopierte Verknüpfung</ListItemHead>
         <ListItem>Wenn eine Datei mit einem Objekt, z. B. einer Stückliste, verknüpft ist und keine "feste Tabellenreferenz" mit einem anderen Objekt, z. B. einem Produktionsauftrag und der Stückliste, besteht, wird die Verknüpfung oft in das nächste Objekt kopiert, in diesem Fall von der Stückliste in den Produktionsauftrag. Dadurch verringert sich die Leistung.</ListItem>
      </List>
      <Paragraph>Im Hinblick auf die Systemleistung ist es am besten, eine direkte Verknüpfung zu verwenden. Bei o.g. Beispiel ist es daher besser, eine Datei mit dem Artikel zu verknüpfen statt mit der Stückliste.</Paragraph>
      <Paragraph> 
         <HTML:IMG xmlns:HTML="http://www.w3.org/TR/REC-html40" height="382" width="790"
                   SRC="../images/tr_tc_p000007_odm.gif"
                   alt="[...]"/>
      </Paragraph>
      <GeneralSection>
         <SectionTitle> Systemleistung</SectionTitle>
         <List>
            <ListItem> Auswirkungen auf CPU: Ja</ListItem>
            <ListItem> Auswirkungen auf Datenbankwachstum: Nicht relevant</ListItem>
         </List>
      </GeneralSection>
   </GeneralSection>
</ManualTopic>